Last Comment Bug 601436 - mtable 'align' attribute: negative rownumbers are wrongly interpreted
: mtable 'align' attribute: negative rownumbers are wrongly interpreted
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: MathML (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla8
Assigned To: Frédéric Wang (:fredw)
:
Mentors:
http://www.w3.org/TR/MathML3/chapter3...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-02 21:46 PDT by distler
Modified: 2011-08-13 08:56 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (1.09 KB, application/xhtml+xml)
2010-10-02 21:47 PDT, distler
no flags Details
incorrect rendering (34.48 KB, image/png)
2010-10-02 21:47 PDT, distler
no flags Details
Patch (4.41 KB, patch)
2011-08-07 01:29 PDT, Frédéric Wang (:fredw)
roc: review+
Details | Diff | Splinter Review

Description distler 2010-10-02 21:46:34 PDT
User-Agent:       Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b7pre) Gecko/20100926 Firefox/ SeaMonkey/2.1b1pre
Build Identifier: 

According to MathML Spec, the mtable 'align' attribute can accept a positive or negative integer, indicating the row of the table, to which the alignment should be applied. 1,2,... indicate the first, second, ... row. -1, -2, ... indicate the last, next-to-last, ... row.

Gecko recognizes positive values, but not negative ones.

See the testcase. 

Reproducible: Always
Comment 1 distler 2010-10-02 21:47:07 PDT
Created attachment 480482 [details]
testcase
Comment 2 distler 2010-10-02 21:47:35 PDT
Created attachment 480484 [details]
incorrect rendering
Comment 3 Frédéric Wang (:fredw) 2011-08-07 01:29:20 PDT
Created attachment 551305 [details] [diff] [review]
Patch

Actually, negative values are taken into account but wrongly interpreted: -1 is considered the penultimate row, -2 the antepenultimate row etc
Comment 4 Justin Wood (:Callek) (Away until Aug 29) 2011-08-09 03:42:28 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/1cfc6b117e15
Comment 7 Bill Gianopoulos [:WG9s] 2011-08-13 08:18:32 PDT
(In reply to Florian Scholz [:fs] from comment #6)
> https://developer.mozilla.org/en/Firefox_8_for_developers#MathML
> https://developer.mozilla.org/en/MathML/Element/mtable#attr-align

Ah.  I was originally going to comment here that dev-doc-needed did not seem to apply to fixing bugs, but I see what was really being asked for was updating developers section of release notes to indicate the bug was fixed.  Perhaps we need a different keyword like dev-relnote-needed to make this more clear.
Comment 8 Bill Gianopoulos [:WG9s] 2011-08-13 08:23:57 PDT
Or perhaps it really should have just had the relnote keyword instead of devdoscs-needed.  Devdocs-needed would seem to imply that the developers wiki needs to be updated.
Comment 9 :Ms2ger (⌚ UTC+1/+2) 2011-08-13 08:56:47 PDT
That's exactly what it means. relnotes are user-facing; dev-doc is developer-facing.

Note You need to log in before you can comment on or make changes to this bug.